Subject: bug#57292: closed (Re: bug#59489: [PATCH v3] gnu: gdm: Enable accessibility settings.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Feb 2024 06:41:02 +0000

Your bug report

#57292: GDM accessibility menu buttons don't do anything

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57292: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57292
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59489: [PATCH v3] gnu: gdm: Enable accessibility settings.
From: Liliana Marie Prikler <[email-masked]>
To: Dariqq <[email-masked]>, [email-masked], [email-masked]
Cc: Raghav Gururajan <[email-masked]>, Vivien Kraus <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Sat, 24 Feb 2024 07:38:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Dienstag, dem 20.02.2024 um 19:58 +0000 schrieb Dariqq:
> gdm needs the "/share" subdirectory of these packages present in
> XDG_DATA_DIRS
> such that the accessibility settings work:
> - at-spi2-core: contains accessibility dbus service.
> - dconf: To be able to change settings.
> - gnome-control-center: icon.
> 
> * gnu/packages/gnome.scm (gdm)[inputs]: Add at-spi2-core, dconf,
> gnome-control-center.
> [phases]: Add wrap-accessibility-dependencies phase.
> 
> Change-Id: Ibfe8f1aee9c8fe0c06f895de121f0f84defe4773
> ---
I've rewritten the commit message slightly and pushed this to gnome-
team.  Thus closing.

Cheers

Subject: GDM accessibility menu buttons don't do anything
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 18 Aug 2022 22:11:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

I've just noticed that the accessibility buttons at the top right of the
screen, e.g. "High Contrast" don't stick in the enable position, and do
seem to do anything.  Both in 40.1 and the 42.0 I'm about to update to.

Thanks,

Maxim